Bug 183686 - Matrox Driver Integration to RedHat Distribution
Matrox Driver Integration to RedHat Distribution
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: xorg-x11 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
: FutureFeature
Depends On:
Blocks: 181409 185133 185136 186938
  Show dependency treegraph
Reported: 2006-03-02 15:01 EST by Issue Tracker
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2006-0412
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-10 17:44:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Issue Tracker 2006-03-02 15:01:15 EST
Escalated to Bugzilla from IssueTracker
Comment 1 Issue Tracker 2006-03-02 15:01:21 EST
From User-Agent: XML-RPC

These changes made by ltroan@redhat.com.

Some new generation hardware uses the Matrox Pilot graphics controller
ServerEngines and will be offered with both Red Hat RHEL3 and RHEL4.

ServerEngines explains that the standard VESA driver has big
against the Matrox G200e mga driver so it is important for vendors using
hardware to use the Matrox driver.

This means RHEL4 U4 should include this driver.  A separate distribution
and installation of the Matrox driver based on RHEL4 U3 or U4 will be very
difficult to handle for us and for our
customers. A Matrox driver integration to the RedHat distribution is
also important for RedHat 4.0 U4.

Comment cloned from bug
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=183388 for RHEL4

Issue escalated to Fujitsu-Engineering by: ltroan.
ltroan assigned to issue for Fujitsu Siemens Engineering.
Status set to: Waiting on Tech
Summary edited.

This event sent from IssueTracker by ltroan  [Feature-RHEL]
 issue 89111
Comment 2 Issue Tracker 2006-03-02 15:01:25 EST
From User-Agent: XML-RPC

Opening this bug up to the public per agreement in today's telecon
Fujitsu-Siemens, Matrox, ServerEngines and Red Hat.

This event sent from IssueTracker by ltroan  [Feature-RHEL]
 issue 89111
Comment 3 Issue Tracker 2006-03-02 15:01:29 EST
From User-Agent: XML-RPC

 Adam Jackson waiting for updated MGA driver from Matrox. Plans to include
in U4.

This event sent from IssueTracker by ltroan  [Feature-RHEL]
 issue 89111
Comment 5 Larry Troan 2006-03-13 16:48:45 EST
Adam has a test kernel for RHEL3 (XFree86). See Bug 183388. 

No test kernel for RHEL4 (xorg) yet. Has Matrox provided the patches yet? No
patches attached here yet.
Comment 7 Larry Troan 2006-03-15 11:14:43 EST
Matrox has provided U4 patches. Setting status to ASSIGNED.
Comment 8 Issue Tracker 2006-03-20 08:43:47 EST
Hi Larry,

are there also test packages for RHEL4?

Regards, Martin

This event sent from IssueTracker by ltroan 
 issue 89111
Comment 9 Issue Tracker 2006-03-20 08:47:12 EST
Adam did not have the corresponding patches for RHEL4 (xorg) as of 3-13.
They will be forthcoming but I don't have a date. In the meantime please
test the RHEL3U8 proposed patch set on my   people.page
[http://people.redhat.com/ltroan/fixes/RHEL3U8G200e/] and respond in
bugzilla 183388.

This event sent from IssueTracker by ltroan 
 issue 89111
Comment 10 Larry Troan 2006-03-20 08:49:27 EST
Clarification. Adam did not have the corresponding embedded xorg patches based
off RHEL4U3. 
Comment 21 David Lawrence 2006-04-18 16:10:50 EDT
NEEDINFO_ENG has been deprecated in favor of NEEDINFO or ASSIGNED. Changing
status to ASSIGNED for ENG review.
Comment 23 Mike A. Harris 2006-04-25 10:23:16 EDT
Confirmed aforementioned patch is present in .28 build.  Setting bug
to MODIFIED state pending QA testing.  Adding to erratum advisory.
Comment 32 Red Hat Bugzilla 2006-08-10 17:45:03 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.